Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

### - d -

- databaseRelease() : eZPublishSDK
- databaseVersion() : eZPublishSDK
- dataType() : eZClusterFileHandlerInterface , eZDFSFileHandler , eZFSFileHandler
- date() : eZBulkMail , eZConsultation , eZDateTime , eZOrder , eZPreOrder , eZTodo
- date_added() : eZPaypalReturn
- dateEquals() : eZDateTime
- dateTime() : eZAppointment , eZGroupEvent , eZPageView
- dateToNative() : eZMySQLDB , eZSQLite3DB
- day() : eZDate , eZDateTime , eZXMLRPCDatetime
- dayName() : eZDate , eZDateTime , eZLocale
- dayOfWeek() : eZDate , eZDateTime
- daysInMonth() : eZDate , eZDateTime
- dayStats() : eZPageViewQuery
- dbInit() : eZFreeTradeImport , eZGroupEditor , eZGroupEvent , eZGroupEventCategory , eZGroupEventType , eZGroupNoShow
- dbRequired() : ezpSessionHandler , ezpSessionHandlerPHP , ezpSessionHandlerSymfony
- dbTable() : eZDFSFileHandlerMySQLiBackend
- debug() : eZXMLRPCClient
- decode() : eZURITool , eZXMLRPCArray , eZXMLRPCBase64 , eZXMLRPCBool , eZXMLRPCDatetime , eZXMLRPCString , eZXMLRPCStruct
- decodeArray() : eZXMLRPCDataTypeDecoder
- decodeBase64() : eZXMLRPCDataTypeDecoder
- decodeBoolean() : eZXMLRPCDataTypeDecoder
- decodeCode() : eZTechGenerator
- decodeCommand() : eZCodeMapper
- decodeCustom() : eZQDomGenerator
- decodeDataTypes() : eZXMLRPCDataTypeDecoder
- decodeDateTime() : eZXMLRPCDataTypeDecoder
- decodeDouble() : eZXMLRPCDataTypeDecoder
- decodeFile() : eZQDomGenerator
- decodeHeader() : eZQDomGenerator
- decodeHr() : eZQDomGenerator
- decodeImage() : eZQDomGenerator , eZTechGenerator
- decodeInt() : eZXMLRPCDataTypeDecoder
- decodeIRI() : eZURI
- decodeLanguageMask() : eZContentLanguage
- decodeLink() : eZQDomGenerator , eZTechGenerator
- decodeMedia() : eZQDomGenerator
- decodeModule() : eZTechGenerator
- decodePage() : eZQDomGenerator , eZTechGenerator
- decoder() : eZSourceSite
- decodeRollOver() : eZQDomGenerator
- decodeStandards() : eZQDomGenerator , eZTechGenerator
- decodeStream() : eZXMLRPCCall , eZXMLRPCResponse
- decodeString() : eZXMLRPCDataTypeDecoder
- decodeStruct() : eZXMLRPCDataTypeDecoder
- decodeTable() : eZQDomGenerator
- decodeURL() : eZURI
- decodeXML() : eZArticleGenerator , eZEzGenerator , eZQDomGenerator , eZTechGenerator
- decompress() : eZBZIP2Handler , eZCompressionHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- decorateFeed() : ezpRestFeedDecorator
- decorateFeedItem() : ezpRestFeedDecorator
- defaultExceptionHandler() : eZExecution
- defaultInformation() : eZMediaFile , eZPBImageFile
- defaultLanguage() : eZContentObjectState , eZContentObjectStateGroup
- defaults() : eZContentObjectState
- defaultType() : eZShippingType
- defaultValue() : eZMediaAttribute
- definition() : eZContentLanguage , eZContentObjectState , eZContentObjectStateGroup , eZContentObjectStateGroupLanguage , eZContentObjectStateLanguage , ezpContentPublishingProcess , eZPersistentObject
- delete() : eZAd , eZAdCategory , eZAdClick , eZAddress , eZAddressType , eZAppointment , eZAppointmentType , eZArticle , eZArticleAttribute , eZArticleCategory , eZArticleForm , eZArticleType , eZAuthor , eZBoxType , eZBug , eZBugCategory , eZBugLog , eZBugModule , eZBugPriority , eZBugStatus , eZBulkMail , eZBulkMailForgot , eZBulkMailSubscriptionAddress , eZBulkMailSubscriptionUser , eZBulkMailTemplate , eZCart , eZCartItem , eZCartOptionValue , eZCartVoucherItem , eZCategory , eZClusterFileHandlerInterface , eZCompany , eZConsultation , eZConsultationType , eZCountry , eZDFSFileHandler , eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface , eZExample , eZForgot , eZForm , eZFormElement , eZFormElementFixedValue , eZFormElementType , eZForum , eZForumCategory , eZForumMessage , eZFSFileHandler , eZGroupEditor , eZGroupEvent , eZGroupEventCategory , eZGroupEventType , eZGroupNoShow , eZHit , eZImage , eZImageCategory , eZImageVariation , eZLink , eZLinkAttribute , eZLinkCategory , eZLinkItem , eZLinkSection , eZLinkType , eZMail , eZMailAccount , eZMailFilterRule , eZMailFolder , eZMedia , eZMediaAttribute , eZMediaCategory , eZMediaType , eZMenu , eZMessage , eZMessageDefinition , eZModule , eZNews , eZNewsCategory , eZOption , eZOptionValue , eZOrder , eZOrderItem , eZPaypalReturn , eZPermission , eZPerson , eZPhone , eZPhoneType , eZPoll , eZPollChoice , eZPreOrder , ezpRestCacheStorageApcCluster , ezpRestCacheStorageCluster , eZPriceGroup , eZPriority , eZProduct , eZProductAttribute , eZProductCategory , eZProductCurrency , eZProductForm , eZProductPriceRange , eZProductType , eZProjectType , eZQuestion , eZQuizAlternative , eZQuizAnswer , eZQuizGame , eZQuizQuestion , eZQuizScore , eZRegion , eZResponse , eZResponseDate , eZResponseQuestion , eZSection , eZSectionFrontPage , eZSession , eZShippingGroup , eZShippingType , eZSourceSite , eZStatus , eZSurvey , eZTip , eZTipCategory , eZTipClick , eZTodo , eZTodoLog , eZTopic , eZURLTranslator , eZUser , eZUserGroup , eZVATType , eZVirtualFile , eZVirtualFolder , eZVoucher , eZVoucherEMail , eZVoucherInformation , eZVoucherSMail , eZVoucherUsed , eZWebDAVContentBackend , eZWishList , eZWishListItem
- deleteAll() : eZMailFolder
- deleteAttribute() : eZArticle
- deleteAttributesByType() : eZArticle
- deleteByDirList() : eZClusterEventListener
- deleteByLike() : eZClusterEventListener
- deleteByNametrunk() : eZClusterEventListener
- deleteByQuestion() : eZResponseDate , eZResponseQuestion
- deleteByUserIDs() : ezpSessionHandler , ezpSessionHandlerDB , ezpSessionHandlerPHP , ezpSessionHandlerSymfony
- deleteByWildcard() : eZClusterEventListener
- deleteCache() : eZArticleTool , eZOrderConfirmation , eZProductTool , eZQuizTool
- deleteCacheFiles() : eZDFSFileHandlerMySQLiBackend
- deleteContent() : eZWebDAVContentBackend
- deleteFile() : eZArticle , eZBug , eZClusterEventListener , eZGroupEvent , eZMail , eZProduct
- deleteForms() : eZArticle , eZProduct
- deleteFromServer() : eZMailAccount
- deleteImage() : eZAd , eZArticle , eZBug , eZCompany , eZLink , eZLinkCategory , eZMail , eZProduct , eZTip
- deleteLocal() : eZClusterFileHandlerInterface , eZDFSFileHandler , eZFSFileHandler
- deleteLogo() : eZCompany
- deleteMedia() : eZArticle
- deleteResponse() : eZResponseDate
- deleteVirtualFolder() : eZWebDAVContentBackend
- depth() : eZForumMessage , ezpContentCriteria
- description() : eZAd , eZAdCategory , eZAppointment , eZAppointmentType , eZArticleCategory , eZBug , eZBugCategory , eZBugLog , eZBugModule , eZBulkMailTemplate , eZCategory , eZConsultation , eZFormElementType , eZForum , eZForumCategory , eZGroupEvent , eZGroupEventCategory , eZGroupEventType , eZImage , eZImageCategory , eZLink , eZLinkCategory , eZLinkType , eZMedia , eZMediaCategory , eZMediaType , eZMessage , eZNewsCategory , eZOption , eZPoll , eZPriceGroup , eZProduct , eZProductCategory , eZProductType , eZQuizGame , eZSection , eZStatus , eZTip , eZTipCategory , eZTodo , eZTopic , eZUserGroup , eZVirtualFile , eZVirtualFolder , eZVoucherEMail , eZVoucherInformation , eZVoucherSMail
- descriptionHeaders() : eZOption
- descriptionPlain() : eZProduct
- descriptions() : eZOptionValue
- dest() : eZURLTranslator
- destinationUrl() : ezpLanguageSwitcher , ezpLanguageSwitcherCapable
- destroy() : ezpSessionHandler , ezpSessionHandlerDB , ezpSessionHandlerPHP , ezpSessionHandlerSymfony
- detach() : ezpEvent
- developmentVersion() : eZPublishSDK
- DHTML_Calendar() : DHTML_Calendar
- dir() : eZPBFile
- directoryPermission() : eZDir
- dirpath() : eZDir
- disableEmailNotice() : eZForumMessage
- disconnect() : eZDFSFileHandler , ezpDatabaseBasedClusterFileHandler
- discontinued() : eZProduct
- discuss() : eZArticle
- dispatchLoop() : ezpbKernelAdmin , ezpbKernelWeb , ezpKernelWeb
- doBasicAuth() : ezpRestAuthController
- doClose() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doCreateRoutes() : ezpRestRouter
- doEOF() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doExists() : eZFileHandler
- doFilter() : eZMailFilterRule
- doFlush() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doHandleRequest() : ezpRestOauthTokenController
- doHttpOptions() : ezpRestMvcController
- doIsDirectory() : eZFileHandler
- doIsExecutable() : eZFileHandler
- doIsFile() : eZFileHandler
- doIsLink() : eZFileHandler
- doIsReadable() : eZFileHandler
- doIsWriteable() : eZFileHandler
- doMkdir() : eZDir
- domTree() : eZXML
- doOauthRequired() : ezpRestAuthController
- doOpen() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doPasstrough() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doRead() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doRefreshToken() : ezpOauthUtility
- doRefreshTokenWithAuthorizationCode() : ezpOauthUtility
- doRename() : eZFileHandler
- doRewind() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doSeek() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doShow() : ezpRestErrorController
- doStatistics() : eZFileHandler
- doTell() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doUnlink() : eZFileHandler
- download() : eZFile
- downloadContent() : eZFile
- downloadHeaders() : eZFile
- doWrite() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- drawList() : eZList
- drawNavigator() : eZList
- dropBase() : eZURI
- due() : eZTodo
- dumpArray() : eZAutoloadGenerator
- dumpArrayEnd() : eZAutoloadGenerator
- dumpArrayStart() : eZAutoloadGenerator
- dumpDataToFile() : eZPBFile
- dumpFroogleDataToFile() : eZPBFile
- dumpTable() : eZGroupNoShow
- dumpVariable() : eZDebug
- dumpYahooDataToFile() : eZPBFile
- duplicate() : eZFileHandler , eZForwardCompressionHandler
- duration() : eZAppointment , eZGroupEvent
- dynamicTranslationsEnabled() : eZTranslatorManager

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.